Subject: [IPP] JPS3 "printer-output-tray" - supporting additional optional keywords from

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Wed, 7 May 2014 18:14:50 +0000

Greetings,

Recently I have had some discussions about the “printer-output-tray” attribute defined in JPS3.  The “printer-ouptut-tray” attribute seems to be one of a species of attributes whose fundamental values are octetString(MAX), where each string itself contains a list of key value pairs.

There were questions about why keywords were not defined for more of the OIDs defined as sub-OIDs within a PrtOutputEntry sequence defined in RFC 3805, and whether it was safe to add new keywords.  Functionally, the octetString(MAX) strings could accommodate this since it is just text, but the attribute’s definition didn’t warn the IPP clients that they must be able to robustly handle unexpected keywords.  It also doesn’t seem that a process was defined for defining new keywords.

How can we safely begin to add additional keywords to these attributes’ definitions without potentially breaking existing IPP client implementations?  Or does this necessitate a move to a new “printer-output-tray-col” attribute?  We could of course define our own new attributes, but that doesn’t resolve the fundamental issue.

I thought I’d raise this subject on the reflector and we could discuss this more at the F2F next week if there wasn’t a simple answer.

Thanks for any comments,

Smith

/**
    Smith Kennedy
    Hewlett-Packard Co.
*/

p.s. JPS3 seems to have a typo - it refers to the “prtOutputTrayTable” OID in § 5.6.36 but the OID defined in RFC 3805 is actually named “prtOutputTable”, not “prtOutputTrayTable”.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp